<bugID>1303781<Summary>Sometimes selecting a history entry opens a Google search instead of navigating to the entry</Summary><Description>Created attachment 8792562
Schermata del 2016-09-19 17-52-20.png

STR:
1) Open a new tab
2) Write the first characters of one of your history entries
3) Press the down arrow
4) Press enter

Firefox should navigate to the history entry, instead it often opens a Google search. This is a recent regression and usually happens when you do things quickly (step 2 and 3 almost at the same time).

I'm not sure step (3) is required, but it definitely makes it way easier to reproduce (I can do it pretty consistently).

I've sometimes noticed that when this happens, both the history entry and the Google icon are selected. See the attached image.</Description></bugID>